library twilioflutter;

import 'package:meta/meta.dart';
import 'package:http/http.dart' as http;
import 'dart:convert';

class TwilioFlutter {
  String sid, authToken, twilioNumber;
  String toNumber, messageBody;
  TwilioFlutter(
      {@required this.authToken,
      @required this.sid,
      @required this.twilioNumber});

  Future sendSMS(
      {@required String toNumber, @required String messageBody}) async {
    String cred = sid + ':' + authToken;
    var bytes = utf8.encode(cred);
    var base64Str = base64.encode(bytes);

    String url =
        'https://api.twilio.com/2010-04-01/Accounts/$sid/Messages.json';

    var response = await http.post(url,
        headers: {'Authorization': 'Basic $base64Str'},
        body: {'From': twilioNumber, 'To': toNumber, 'Body': messageBody});

    print(response.statusCode);
  }
}
